import request from '@/utils/request'

export class BaseUserApi {
  getList = ( data={} )=> {
    return  request({
        url: '/platform/v1/userInfo/list',
        method: 'post',
        data: data
    })
  }
  userAddress = (data={})=>{
    return  request({
        url: '/platform/v1/userInfo/userAddress',
        method: 'post',
        data: data
    })
  }
  // 获取地图数据
  getMapData = (data={})=>{
    return  request({
        url: '/platform/v1/userInfo/distributed',
        method: 'post',
        data: data
    })
  }
}
export const baseUserApi = new BaseUserApi()